Re: [Rd] Rgraphviz compilation error

From: Dirk Eddelbuettel <edd_at_debian.org>
Date: Fri 24 Sep 2004 - 02:34:19 EST

On Wed, Sep 22, 2004 at 01:11:35PM -0700, Saurin Jani wrote: [...]
> I have installed graphviz version:
> graphviz-1.16-1.src.rpm installed already on system.
[...]
> $ R CMD INSTALL -l /usr/local/lib/R/library
> Rgraphviz_1.4.0.tar.gz
[...]
> make: *** [Rgraphviz.o] Error 1
> ERROR: compilation failed for package 'Rgraphviz'
> ** Removing '/usr/local/lib/R/library/Rgraphviz'
> --------------------
>
> please let me know...if someone has same problem,

RGraphviz 1.4.0 says this in its README:

  Installing Rgraphviz:   

  The Rgraphviz package requires a bit of extra work beyond   simply installing the package itself to run properly. The user   must first have installed the GraphViz software provided by AT&T.   For users of the release version of Rgraphviz from Bioconductor 1.3,   this must be Graphviz version 1.10. For users of Rgraphviz for   Bioconductor 1.4 (or the devel versions leading up to the 1.4 release)   this must be Graphviz version 1.12.   

So you may have to back out graphviz-1.16.

For what it's worth, RGraphviz-1.4.0 built on my Debian testing system (on which graphviz 1.12 is installed) as a script-generated Debian package which is available, along with over 400 other CRAN/BioC packages, as part of Quantian -- see http://dirk.eddelbuettel.com/quantian

Dirk

-- 
Those are my principles, and if you don't like them... well, I have others.
                                                -- Groucho Marx

______________________________________________
R-devel@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel
Received on Fri Sep 24 02:55:15 2004

This archive was generated by hypermail 2.1.8 : Wed 03 Nov 2004 - 22:45:17 EST